Module jdk.compiler
Package com.sun.source.tree

## Interface MethodInvocationTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    public interface MethodInvocationTree
    extends ExpressionTree

A tree node for a method invocation expression. For example:

       identifier ( arguments )

       this . typeArguments identifier ( arguments )

Since:
  1.6
See The Java™ Language Specification:
  section 15.12

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends ExpressionTree>` `getArguments()` Returns the arguments for the method invocation.
`ExpressionTree` `getMethodSelect()` Returns the expression identifying the method to be invoked.
`List<? extends Tree>` `getTypeArguments()` Returns the type arguments for this method invocation.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getTypeArguments

    List<? extends Tree> getTypeArguments()

Returns the type arguments for this method invocation.

Returns:
  the type arguments

#### getMethodSelect

    ExpressionTree getMethodSelect()

Returns the expression identifying the method to be invoked.

Returns:
  the method selection expression

#### getArguments

    List<? extends ExpressionTree> getArguments()

Returns the arguments for the method invocation.

Returns:
  the arguments